# $Id: smeserver-rkhunter.spec,v 1.4 2017/07/06 22:06:34 unnilennium Exp $

Summary: rkhunter for SME Server
Name: smeserver-rkhunter
%define version 1.4.0
%define release 4
%define displayversion %{version}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: smeserver-rkhunter-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: rkhunter
Patch0: smeserver-rkhunter-1.4.0.path2rsyslog.patch
Patch1: smeserver-rkhunter-1.4.0.more_options2rkhunter-conf.patch
Patch2: smeserver-rkhunter-1.4.0.bz10376.disableupdate.patch
BuildRequires: perl, e-smith-devtools

%description
rkhunter for SME Server

%changelog
* Thu Jul 06 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4.0-4.sme
- disabling as default update for rkh because of CVE-2017-7480 [SME: 10376]
- added property updateMirrors to handle this 

* Tue Aug 18 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-3.sme
- add smeserver-rkhunter-1.4.0.more_options2rkhunter-conf.patch

* Thu Aug 13 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-2.sme
- change path to rsyslog.conf

* Thu Aug 13 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4.0-1.sme
- First Import to contribs9

* Tue Sep 17 2013 JP Pialasse <tests@pialasse.com> 1.2.0-10
- fix not run in cron daily  [SME: 7800]
- typos in patchs

* Tue Jul 02 2013 JP Pialasse <tests@pialasse.com> 1.2.0-7
- fix typo patch correct
- fix spare space

* Sat Jun 23 2013 JP Pialasse <tests@pialasse.com> 1.2.0-5
- fix email error root@localhost [SME: 7103] 
- adding option for warning mail in .conf
- Patch2

* Thu Jun 20 2013 JP Pialasse <tests@pialasse.com>
- fix email error root@localhost [SME: 7103]
- you can set the mail you want with key mail and default is root

* Thu May 14 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-3
- Bump version number in order to move package to SME Contribs [SME: 5172]

* Tue Apr  7 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-2
- Remove quotes in DISABLE_TESTS setting [SME: 5149]

* Fri Apr  3 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-1
- Initial draft of rkhunter for SME Server
- Adjust ALLOW_SSH_ROOT_USER according to sshd PermitRootLogin setting [SME: 3718]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
